<div>
    <h2 data-translate="probioticApp.evidence.home.title">Evidences</h2>
    <jhi-alert></jhi-alert>
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-4 no-padding-left">
                <button class="btn btn-primary" ui-sref="evidence.new" >
                    <span class="glyphicon glyphicon-plus"></span>
                    <span class="hidden-xs-down"  data-translate="probioticApp.evidence.home.createLabel">
                        Create new Evidence
                    </span>
                </button>
            </div>
            <div class="col-xs-8 no-padding-right">
                <form name="searchForm" class="form-inline">
                    <div class="input-group pull-right" >
                        <input type="text" class="form-control" ng-model="vm.searchQuery" id="searchQuery" placeholder="{{ 'probioticApp.evidence.home.search' | translate }}">
                        <span  class="input-group-btn width-min" >
                            <button class="btn btn-info" ng-click="vm.search(vm.searchQuery)">
                                <span class="glyphicon glyphicon-search"></span>
                            </button>
                        </span>
                        <span class="input-group-btn width-min" ng-if="vm.currentSearch">
                            <button class="btn btn-info" ng-click="vm.clear()">
                                <span class="glyphicon glyphicon-trash"></span>
                            </button>
                        </span>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <br/>
    <div class="table-responsive">
        <table class="jh-table table table-striped">
            <thead>
                <tr jh-sort="vm.predicate" ascending="vm.reverse" callback="vm.transition()">
                    <th jh-sort-by="id"><span data-translate="global.field.id">ID</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="pathologyAcronym"><span data-translate="probioticApp.evidence.pathology">Pathology</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="dosage.probiotic.name"><span data-translate="probioticApp.evidence.probiotic">Probiotic</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="dosage.doseform.name"><span data-translate="probioticApp.evidence.doseform">Dose Form</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="evidencetypeName"><span data-translate="probioticApp.evidence.evidencetype">Evidencetype</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="timestamp"><span data-translate="probioticApp.evidence.timestamp">Timestamp</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>

                <tr ng-repeat="evidence in vm.evidences track by evidence.id">
                    <td><a ui-sref="evidence-detail({id:evidence.id})">{{evidence.id}}</a></td>
                    <td><a ui-sref="pathology-detail({id:evidence.pathologyId})">{{evidence.pathologyAcronym}}</a></td>
                    <td><a ui-sref="probiotic-detail({id:evidence.probioticId})">{{evidence.probioticName}}</a></td>
                    <td>{{evidence.doseFormName}}</td>
                    <td>{{evidence.evidencetypeName}}</td>
                    <td>{{evidence.timestamp | date:'medium'}}</td>


                    <td class="text-right">
                        <div class="btn-group flex-btn-group-container">
                            <button type="submit"
                                    ui-sref="evidence-detail({id:evidence.id})"
                                    class="btn btn-info btn-sm">
                                <span class="glyphicon glyphicon-eye-open"></span>
                                <span class="hidden-sm-down" data-translate="entity.action.view"></span>
                            </button>
                            <button type="submit"
                                    ui-sref="evidence.edit({id:evidence.id})"
                                    class="btn btn-primary btn-sm">
                                <span class="glyphicon glyphicon-pencil"></span>
                                <span class="hidden-sm-down" data-translate="entity.action.edit"></span>
                            </button>
                            <button type="submit"
                                    ui-sref="evidence.delete({id:evidence.id})"
                                    class="btn btn-danger btn-sm">
                                <span class="glyphicon glyphicon-remove-circle"></span>
                                <span class="hidden-sm-down" data-translate="entity.action.delete"></span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="text-center">
        <jhi-item-count page="vm.page" total="vm.queryCount" items-per-page="vm.itemsPerPage"></jhi-item-count>
        <uib-pagination class="pagination-sm" total-items="vm.totalItems" items-per-page="vm.itemsPerPage" ng-model="vm.page" ng-change="vm.transition()"></uib-pagination>
    </div>
</div>
